Which version of Acumatica is supported by APPSeCONNECT?

APPSeCONNECT supports the integration of Acumatica version 2017 R2 and onwards.

To explore Acumatica integrations, click here.

This website uses cookies to ensure you get the best experience on our website.